package com.jeeplus.modules.sg.project.entity;

import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;
import java.util.List;

/**
 * 工程信息
 */
public class WbsProject extends DataEntity<WbsProject> {
    private String projectName;//工程名称
    private String projectNo; //工程编号
    private int number;  //项目数量
    private String userName; //创建人
    private String parentNode; //父节点
    private List<WbsItem> wbsItems; //项目

//这些字段用于保存在历史工程管理页面添加的查询字段
//    private String projectId;      //工程ID
//    private String creator;       //创建人
    private Date projectStartDate;   //工程登记开始时间
    private Date projectEndDate;     //工程登记结束时间
//    private String itemId;        //项目ID
//    private String itemName;     //项目名称
//    private String type;        //项目类型
//    private String unit;        //施工单位
//    private Date itemStartDate;   //项目登记开始时间
//    private Date itemEndDate;     //项目登记结束时间
//    private String userId;   //用户ID



    public List<WbsItem> getWbsItems() {
        return wbsItems;
    }

    public void setWbsItems(List<WbsItem> wbsItems) {
        this.wbsItems = wbsItems;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public int getNumber() {
        return number;
    }

    public void setNumber(int number) {
        this.number = number;
    }

    public String getParentNode() {
        return parentNode;
    }

    public void setParentNode(String parentNode) {
        this.parentNode = parentNode;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }


//    public String getProjectId() {
//        return projectId;
//    }
//
//    public void setProjectId(String projectId) {
//        this.projectId = projectId;
//    }


    public Date getProjectStartDate() {
        return projectStartDate;
    }

    public void setProjectStartDate(Date projectStartDate) {
        this.projectStartDate = projectStartDate;
    }

    public Date getProjectEndDate() {
        return projectEndDate;
    }

    public void setProjectEndDate(Date projectEndDate) {
        this.projectEndDate = projectEndDate;
    }

//    public String getItemId() {
//        return itemId;
//    }
//
//    public void setItemId(String itemId) {
//        this.itemId = itemId;
//    }
//
//    public String getItemName() {
//        return itemName;
//    }
//
//    public void setItemName(String itemName) {
//        this.itemName = itemName;
//    }
//
//    public String getType() {
//        return type;
//    }
//
//    public void setType(String type) {
//        this.type = type;
//    }
//
//    public String getUnit() {
//        return unit;
//    }
//
//    public void setUnit(String unit) {
//        this.unit = unit;
//    }
//
//    public Date getItemStartDate() {
//        return itemStartDate;
//    }
//
//    public void setItemStartDate(Date itemStartDate) {
//        this.itemStartDate = itemStartDate;
//    }
//
//    public Date getItemEndDate() {
//        return itemEndDate;
//    }
//
//    public void setItemEndDate(Date itemEndDate) {
//        this.itemEndDate = itemEndDate;
//    }
//
//    public String getUserId() {
//        return userId;
//    }
//
//    public void setUserId(String userId) {
//        this.userId = userId;
//    }
//
//    public String getCreator() {
//        return creator;
//    }
//
//    public void setCreator(String creator) {
//        this.creator = creator;
//    }

    public String getProjectNo() {
        return projectNo;
    }

    public void setProjectNo(String projectNo) {
        this.projectNo = projectNo;
    }
}
