package com.jeeplus.modules.sg.project.util;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;

public class ProjectUtil {

    /**
     * 创建结算书项目ID  以时间打头，后面可以根据这个排序
     */
    public static String getId() {
        SimpleDateFormat sdf=new SimpleDateFormat("yyyyMMddHHmmss");
        String newDate=sdf.format(new Date());
        String result="";
        Random random=new Random();
        for(int i=0;i<3;i++){
            result+=random.nextInt(10);
        }
        return newDate+result;
    }

    /**
     * 处理信息中的双引号字符，替换为单引号。避免传到前台产生错误
     * @param msg
     * @return
     */
    public static String dealMsg(String msg){
        if(msg!=null){
            return msg.replace("\"","'");
        }
        return null;
    }
}
