package com.jeeplus.modules.sg.substation.entity;

import com.jeeplus.modules.sg.overheadline.entity.JkxlDetailFee;

/**
 * 数据转移类，当我们在结算书中找到一些特殊节点时，需要将金额归到指定节点
 */
public class FeeTransfer {

    private JkxlDetailFee sourceFee;  //数据转移来源
    private JkxlDetailFee desFee; //数据转移目标fee
    private String desWbs; //数据转移目的节点wbs
    private Double originalTotalCost;  //分布分项合计金额
    private Double zjgcFee;  //直接工程费
    private Double originalRgCost;  //分布分项前人工费
    private Double originalCbrCost;  //分布分项前承包人采购费
    private Double originalFbrCost;  //分布分项前发包人采购费
    private Double originalJxCost;  //分部分项前机械费

    public JkxlDetailFee getDesFee() {
        return desFee;
    }

    public void setDesFee(JkxlDetailFee desFee) {
        this.desFee = desFee;
    }

    public JkxlDetailFee getSourceFee() {
        return sourceFee;
    }

    public void setSourceFee(JkxlDetailFee sourceFee) {
        this.sourceFee = sourceFee;
    }

    public String getDesWbs() {
        return desWbs;
    }

    public void setDesWbs(String desWbs) {
        this.desWbs = desWbs;
    }

    public Double getOriginalTotalCost() {
        return originalTotalCost;
    }

    public void setOriginalTotalCost(Double originalTotalCost) {
        this.originalTotalCost = originalTotalCost;
    }

    public Double getZjgcFee() {
        return zjgcFee;
    }

    public void setZjgcFee(Double zjgcFee) {
        this.zjgcFee = zjgcFee;
    }

    public Double getOriginalRgCost() {
        return originalRgCost;
    }

    public void setOriginalRgCost(Double originalRgCost) {
        this.originalRgCost = originalRgCost;
    }

    public Double getOriginalCbrCost() {
        return originalCbrCost;
    }

    public void setOriginalCbrCost(Double originalCbrCost) {
        this.originalCbrCost = originalCbrCost;
    }

    public Double getOriginalFbrCost() {
        return originalFbrCost;
    }

    public void setOriginalFbrCost(Double originalFbrCost) {
        this.originalFbrCost = originalFbrCost;
    }

    public Double getOriginalJxCost() {
        return originalJxCost;
    }

    public void setOriginalJxCost(Double originalJxCost) {
        this.originalJxCost = originalJxCost;
    }
}
